org.fourthline.cling.support.contentdirectory

## Class DIDLParser.DescMetaHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<DescMeta>
    - - org.fourthline.cling.support.contentdirectory.DIDLParser.DescMetaHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    DIDLParser

      public class DIDLParser.DescMetaHandler
      extends org.seamless.xml.SAXParser.Handler<DescMeta>

  Extracts an `org.w3c.Document` from the nested elements in the `<desc>` element.

  The root element of this document is a wrapper in the namespace `DIDLContent.DESC_WRAPPER_NAMESPACE_URI`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Element` | `current`

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescMetaHandler(DescMeta instance, org.seamless.xml.SAXParser.Handler parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(String uri, String localName, String qName)`
    `DescMeta<Document>` | `getInstance()`
    `protected boolean` | `isLastElement(String uri, String localName, String qName)`
    `void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getParent, getParser, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### current

          protected Element current

  - ### Constructor Detail

    - #### DescMetaHandler

          public DescMetaHandler(DescMeta instance,
                                 org.seamless.xml.SAXParser.Handler parent)

  - ### Method Detail

    - #### getInstance

          public DescMeta<Document> getInstance()

      Overrides:
        `getInstance` in class `org.seamless.xml.SAXParser.Handler<DescMeta>`

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String qName,
                                   Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `org.seamless.xml.SAXParser.Handler<DescMeta>`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `org.seamless.xml.SAXParser.Handler<DescMeta>`
      Throws:
        `SAXException`

    - #### isLastElement

          protected boolean isLastElement(String uri,
                                          String localName,
                                          String qName)

      Overrides:
        `isLastElement` in class `org.seamless.xml.SAXParser.Handler<DescMeta>`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.